Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.ogcwebservices.wass.common
Class WASServiceFactory

    java.lang.Object
      org.deegree.ogcwebservices.wass.common.WASServiceFactory

    public class WASServiceFactory

extends Object

A `WASServiceFactory` class currently just creates uncached service instances.

Version:
  $Revision: 18195 $, $Date: 2009-06-18 17:55:39 +0200 (Do, 18. Jun 2009) $
Author:
  Rutger Bezema, last edited by: $Author: mschneider $

Constructor Summary
`WASServiceFactory()`

Method Summary
`static WAService` | `getUncachedWAService()`
`static WSService` | `getUncachedWSService()`
`static void` | `setConfiguration(URL url)` Dispatches the configuration url to the appropriate methods.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### WASServiceFactory

    public WASServiceFactory()

Method Detail

### setConfiguration

    public static void setConfiguration(URL url)
                                 throws OGCWebServiceException

  Dispatches the configuration url to the appropriate methods.

  Parameters:
    `url` -
  Throws:
    `OGCWebServiceException`

### getUncachedWSService

    public static WSService getUncachedWSService()
                                          throws OGCWebServiceException

  Returns:
    a new WSS service instance
  Throws:
    `OGCWebServiceException`

### getUncachedWAService

    public static WAService getUncachedWAService()
                                          throws OGCWebServiceException

  Returns:
    a new WAS service instance
  Throws:
    `OGCWebServiceException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org